summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile.in2
-rw-r--r--bin/quilt.in10
-rw-r--r--configure.ac4
-rw-r--r--debian/changelog6
-rwxr-xr-xdebian/rules4
-rw-r--r--po/.cvsignore1
-rw-r--r--po/Makefile35
-rw-r--r--po/fr.po909
-rw-r--r--po/quilt.pot698
-rw-r--r--quilt.changes6
-rw-r--r--quilt/add.in19
-rw-r--r--quilt/applied.in7
-rw-r--r--quilt/delete.in15
-rw-r--r--quilt/diff.in36
-rw-r--r--quilt/files.in12
-rwxr-xr-xquilt/guidiff.in15
-rw-r--r--quilt/import.in36
-rw-r--r--quilt/new.in12
-rw-r--r--quilt/next.in6
-rw-r--r--quilt/patches.in6
-rw-r--r--quilt/pop.in14
-rw-r--r--quilt/previous.in6
-rw-r--r--quilt/push.in16
-rw-r--r--quilt/refresh.in22
-rw-r--r--quilt/remove.in20
-rw-r--r--quilt/series.in6
-rw-r--r--quilt/setup.in22
-rw-r--r--quilt/top.in6
-rw-r--r--quilt/unapplied.in6
-rwxr-xr-xscripts/apatch.in20
-rw-r--r--scripts/patchfns.in9
-rwxr-xr-xscripts/rpatch.in22
-rwxr-xr-xscripts/spec2series.in4
33 files changed, 1838 insertions, 174 deletions
diff --git a/Makefile.in b/Makefile.in
index a4dd94e..f395e19 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -186,6 +186,8 @@ install : scripts
@INSTALL@ -d $(BUILD_ROOT)$(mandir)/man1
@INSTALL@ -m 644 $(MAN1) $(BUILD_ROOT)$(mandir)/man1/
+
+ BUILD_ROOT=$(BUILD_ROOT) $(MAKE) -C po install
clean :
rm -f $(DIRT)
diff --git a/bin/quilt.in b/bin/quilt.in
index bd7eeed..6f8861e 100644
--- a/bin/quilt.in
+++ b/bin/quilt.in
@@ -6,11 +6,13 @@
#
# See the COPYING and AUTHORS files for more details.
+export TEXTDOMAIN=quilt
+
usage()
{
- echo "Usage: quilt command [-h] ..."
- #echo "Commands are:" $(
+ echo $"Usage: quilt command [-h] ..."
+ #echo $"Commands are:" $(
# local command
# for command in @QUILT@/*
# do
@@ -21,7 +23,7 @@ usage()
# done \
# | sort
#)
- echo "Commands are:"
+ echo $"Commands are:"
quilt_commands \
| sort \
| column | column -t \
@@ -78,7 +80,7 @@ then
command="${commands[0]}"
unset commands
else
- echo "$command:" "${commands[@]}" >&2
+ echo $"$command:" "${commands[@]}" >&2
exit 1
fi
fi
diff --git a/configure.ac b/configure.ac
index 8216616..237fa71 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,8 +1,8 @@
dnl Process this file with autoconf to produce a configure script.
-AC_INIT([quilt],[0.21],[quilt-dev@nongnu.org])
+AC_INIT([quilt],[0.22],[quilt-dev@nongnu.org])
AC_CONFIG_AUX_DIR(config)
AC_PREREQ(2.53)
-AC_REVISION ($Revision: 1.3 $)
+AC_REVISION ($Revision: 1.4 $)
PACKAGE_RELEASE=1
AC_SUBST(PACKAGE_RELEASE)
diff --git a/debian/changelog b/debian/changelog
index f60ab52..cf319d4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+quilt (0.22) unstable; urgency=low
+
+ * New upstream release
+
+ -- Martin Quinson <martin.quinson@tuxfamily.org> Fri, 14 Feb 2003 14:12:31 +0100
+
quilt (0.21-2) unstable; urgency=low
* Fight lintian warnings and error:
diff --git a/debian/rules b/debian/rules
index e20e399..9e26a50 100755
--- a/debian/rules
+++ b/debian/rules
@@ -21,6 +21,8 @@ configure: configure-stamp
configure-stamp:
dh_testdir
# Add here commands to configure the package.
+ autoconf
+ ./configure --prefix=$(CURDIR)/debian/quilt
touch configure-stamp
@@ -42,7 +44,7 @@ clean:
rm -f build-stamp configure-stamp
# Add here commands to clean up after the build process.
- $(MAKE) prefix=/usr BUILD_ROOT=$(CURDIR)/debian/quilt clean
+ -test -f Makefile && $(MAKE) prefix=/usr BUILD_ROOT=$(CURDIR)/debian/quilt clean
dh_clean
diff --git a/po/.cvsignore b/po/.cvsignore
new file mode 100644
index 0000000..19e4435
--- /dev/null
+++ b/po/.cvsignore
@@ -0,0 +1 @@
+*~ *.mo
diff --git a/po/Makefile b/po/Makefile
new file mode 100644
index 0000000..3e10c82
--- /dev/null
+++ b/po/Makefile
@@ -0,0 +1,35 @@
+QUILT_IN := add applied delete diff files import new next patches \
+ pop previous push refresh remove series setup top unapplied \
+ guidiff
+SCRIPTS_IN := apatch rpatch patchfns spec2series patchfns
+# scripts/parse-patch is perl based
+
+TO_PARSE= $(foreach f,$(QUILT_IN),../quilt/$(f).in) \
+ $(foreach f,$(SCRIPTS_IN),../scripts/$(f).in) \
+ ../bin/quilt.in
+
+
+all: fr.mo
+
+%.mo : %.po
+ msgfmt --statistics -o $@ $<
+
+%.po : quilt.pot
+ msgmerge -o $@ $@ $^
+
+quilt.pot: $(TO_PARSE)
+ rm -f quilt.pot; touch quilt.pot
+ for file in $(TO_PARSE) ; do \
+ bash --dump-po-strings $$file \
+ |msguniq\
+ |msgcat --force-po -F - quilt.pot -o quilt.pot; \
+ done
+
+clean:
+ rm -f *.mo *~
+
+install: all
+ install -d $(BUILD_ROOT)/usr/share/locale/fr/LC_MESSAGES
+ install -m644 fr.mo $(BUILD_ROOT)/usr/share/locale/fr/LC_MESSAGES/quilt.mo
+
+.PHONY: install clean all
diff --git a/po/fr.po b/po/fr.po
new file mode 100644
index 0000000..62ccb2b
--- /dev/null
+++ b/po/fr.po
@@ -0,0 +1,909 @@
+# quilt french translation
+# Copyright (C) 2003 Free Software Foundation, Inc.
+# Martin Quinson <Martin.Quinson@tuxfamily.org>, 2003.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: quilt 0.21\n"
+"PO-Revision-Date: 2003-02-14 14:07+0100\n"
+"Last-Translator: Martin Quinson <Martin.Quinson@tuxfamily.org>\n"
+"Language-Team: French <traduc@traduc.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: ../bin/quilt.in:14
+msgid "Usage: quilt command [-h] ..."
+msgstr "Usage : quilt commande [-h] ..."
+
+#: ../bin/quilt.in:26
+msgid "Commands are:"
+msgstr "Les commandes sont :"
+
+#: ../bin/quilt.in:83
+msgid "$command:"
+msgstr "$command :"
+
+#: ../quilt/add.in:22
+msgid "Usage: quilt add [-p patch] {file} ..."
+msgstr "Usage : quilt add [-p patch] {fichier} ..."
+
+#: ../quilt/add.in:25
+msgid ""
+"\n"
+"\n"
+"Add one or more files to the topmost or named patch.\n"
+"Files must be added to the patch before being modified.\n"
+"Files that are modified by patches on top of the specified\n"
+"patch cannot be added.\n"
+"\n"
+"-p patch\n"
+"\tPatch to add files to."
+msgstr ""
+"\n"
+"\n"
+"Ajoute un ou plusieurs fichiers au patch indiqué ou au dernier indiqué.\n"
+"Les fichiers doivent être ajoutés au patch avant toute modification.\n"
+"Les fichiers modifiés par d'autres patches plus haut dans la pile ne\n"
+"peuvent pas être ajoutés.\n"
+"\n"
+"-p patch\n"
+"\tPatch auquel les fichiers doivent être ajoutés."
+
+#: ../quilt/add.in:76 ../quilt/delete.in:69 ../quilt/files.in:75
+#: ../quilt/guidiff.in:65 ../quilt/push.in:167 ../quilt/remove.in:76
+msgid "No patch applied"
+msgstr "Aucun patch n'est appliqué"
+
+#: ../quilt/add.in:81 ../quilt/refresh.in:115 ../quilt/remove.in:81
+msgid "Patch $patch is not applied"
+msgstr "Le patch $patch n'est pas appliqué"
+
+#: ../quilt/add.in:90
+msgid "File $file is already in patch $patch"
+msgstr "Le fichier $file est déjà dans le patch $patch"
+
+#: ../quilt/add.in:97 ../quilt/remove.in:98
+msgid "File $file modified by patch $next_patch"
+msgstr "Le fichier $file est modifié par le patch $next_patch"
+
+#: ../quilt/add.in:105
+msgid "Failed to back up file $file"
+msgstr "Impossible de faire une copie de sécurité de $file"
+
+#: ../quilt/add.in:125
+msgid "File $file added to patch $patch"
+msgstr "Le fichier $file a été ajouté au patch $patch"
+
+#: ../quilt/applied.in:22
+msgid "Usage: quilt applied [patch]"
+msgstr "Usage : quilt applied [patch]"
+
+#: ../quilt/applied.in:25
+msgid ""
+"\n"
+"\n"
+"Print a list of applied patches, or all patches up to and including the\n"
+"specified patch in the file series.\n"
+"\n"
+"-n\tPrint patch file names instead of patch names."
+msgstr ""
+"\n"
+"\n"
+"Affiche la liste des patches appliqués, ou la liste de tous les patches\n"
+"jusqu'à celui passé en paramètre (inclus).\n"
+"\n"
+"-n\tAffiche les noms des fichiers de patch au lieu des noms de patch."
+
+#: ../quilt/delete.in:22
+msgid "Usage: quilt delete [patch]"
+msgstr "Usage : quilt delete [patch]"
+
+#: ../quilt/delete.in:25
+msgid ""
+"\n"
+"\n"
+"Remove the specified or topmost patch from the series file. If the \n"
+"patch is applied, quilt will attempt to remove it first. (Only the \n"
+"topmost patch can be removed right now.)"
+msgstr ""
+"\n"
+"\n"
+"Efface le patch spécifié (ou celui au sommet de la pile) de la série \n"
+"actuelle. Si le patch est appliqué, quilt tentera de le retirer avant.\n"
+"(Seul le patch au sommet peut être retiré pour l'instant)."
+
+#: ../quilt/delete.in:75
+msgid "Patch $patch does not exist"
+msgstr "Le patch $patch n'existe pas"
+
+#: ../quilt/delete.in:84
+msgid "Patch $patch is currently applied"
+msgstr "Le patch $patch est appliqué"
+
+#: ../quilt/delete.in:90
+msgid "Failed to remove patch $patch"
+msgstr "Impossible de retirer le patch $patch"
+
+#: ../quilt/diff.in:27
+msgid "Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [file ...]"
+msgstr "Usage : quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [fichier ...]"
+
+#: ../quilt/diff.in:31
+msgid ""
+"\n"
+"\n"
+"Produces a diff of the specified file(s) in the topmost or\n"
+"specified patch. If no files are specified, all files that\n"
+"are modified are included.\n"
+"\n"
+"-p n\tCreate a -p n style patch (-p0 or -p1 are supported).\n"
+"\n"
+"-P patch\n"
+"\tCreate a diff for the specified patch. (Defaults to\n"
+"\tthe topmost patch.)\n"
+"\n"
+"-c patch\n"
+"\tCreate a combined diff for all patches between this\n"
+"\tpatch and the patch specified with -P.\n"
+"\n"
+"-R\tCreate a reverse diff.\n"
+"\n"
+"-z\tWrite to standard output the changes that have been\n"
+"\tmade relative to the topmost or specified patch.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Produit un diff du ou des fichiers spécifiés par le patch spécifié (ou à\n"
+"défaut, par le patch au sommet). Si aucun fichier n'est indiqué, tous les\n"
+"fichiers modifiés par ce patch sont inclus.\n"
+"\n"
+"-p n\tCrée un patch au style -p n (-p0 et -p1 sont possibles).\n"
+"\n"
+"-P patch\n"
+"\tCrée un diff pour ce patch (par défaut, le patch au sommet)\n"
+"\n"
+"-c patch\n"
+"\tCrée un diff combiné pour tous les patches se trouvant entre\n"
+"\tce patch et celui indiqué avec l'option -P.\n"
+"\n"
+"-R\tCrée un patch inversé.\n"
+"\n"
+"-z Écrit sur la sortie standard les changements fait par rapport\n"
+"\tau patch spécifié.\n"
+"\n"
+
+#: ../quilt/diff.in:131
+msgid "Options \\`-c patch' and \\`-z' cannot be combined."
+msgstr "Les options \\`-c patch' et \\`-z' ne peuvent pas être combinées."
+
+#: ../quilt/diff.in:140 ../quilt/refresh.in:108
+msgid "No patch seem to be applied"
+msgstr "Aucun patch ne semble appliqué"
+
+#: ../quilt/diff.in:147
+msgid "Patch $last_patch is not applied"
+msgstr "Le patch $last_patch ne semble pas appliqué"
+
+#: ../quilt/diff.in:157
+msgid ""
+"Cannot diff patches with -p$opt_strip_level, please specify -p0 or -p1 "
+"instead"
+msgstr ""
+"Impossible de créer des patches avec -p$opt_strip_level. Veuillez spécifier -"
+"p0 ou -p1 à la place"
+
+#: ../quilt/diff.in:165
+msgid "refresh_patches_per_file failed."
+msgstr "refresh_patches_per_file a échoué."
+
+#: ../quilt/diff.in:178
+msgid "Patch $opt_combine not applied before $last_patch."
+msgstr "Le patch $opt_combine n'est pas appliqué avant $last_patch."
+
+#: ../quilt/diff.in:212
+msgid "File $file is not being modified."
+msgstr "Le fichier $file n'est pas modifié."
+
+#: ../quilt/diff.in:229
+msgid "Cannot change into .pc/$last_patch"
+msgstr "Impossible d'entrer dans .pc/$last_patch"
+
+#: ../quilt/diff.in:234
+msgid "Failed to copy files to temporary directory"
+msgstr "Impossible de copier les fichiers dans le répertoire temporaire"
+
+#: ../quilt/diff.in:239
+msgid "Cannot change to temporary directory"
+msgstr "Impossible d'entrer dans le répertoire temporaire"
+
+#: ../quilt/diff.in:256
+msgid "Failed to patch temporary files"
+msgstr "Impossible de patcher les fichiers temporaires"
+
+#: ../quilt/diff.in:263
+msgid "Cannot change to source directory"
+msgstr "Impossible d'entrer dans le répertoire source"
+
+#: ../quilt/diff.in:298 ../quilt/refresh.in:146
+msgid "Diff failed, aborting."
+msgstr "Le diff a échoué. Abandon."
+
+#: ../quilt/diff.in:305
+msgid "More recent patches modify the same files."
+msgstr "Un patch plus recent modifie le même fichier."
+
+#: ../quilt/files.in:22
+msgid "Usage: quilt files [-v] [patch]"
+msgstr "Usage : quilt files [-v] [patch]"
+
+#: ../quilt/files.in:25
+msgid ""
+"\n"
+"\n"
+"Print the list of files that the topmost or specified patch\n"
+"changes.\n"
+"\n"
+"-v\tVerbose, more user friendly output.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Affiche la liste des fichiers modifiés par le patch spécifié (ou celui \n"
+"au sommet).\n"
+"\n"
+"-v\tAffichage verbeux, plus simple à lire.\n"
+"\n"
+
+#: ../quilt/files.in:84
+msgid "Patch is not applied (no verbose output)"
+msgstr "Le patch n'est pas appliqué (affichage non verbeux)"
+
+#: ../quilt/files.in:87
+msgid "Patch is not applied"
+msgstr "Le patch n'est pas appliqué"
+
+#: ../quilt/guidiff.in:22
+msgid "Usage: quilt guidiff"
+msgstr "Usage : quilt guidiff"
+
+#: ../quilt/guidiff.in:26
+msgid ""
+"\n"
+"\n"
+"Display in $guidiffname the changes to files in the topmost patch.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Affiche dans $guidiffname les changements induit par le patch au sommet.\n"
+"\n"
+
+#: ../quilt/guidiff.in:79
+msgid "The file $file doesn't exist before this patch"
+msgstr "Le fichier $file n'existe pas avant ce patch"
+
+#: ../quilt/guidiff.in:83
+msgid "No file in patch $patch"
+msgstr "Le patch $patch ne contient aucun fichier"
+
+#: ../quilt/import.in:22
+msgid "Usage: quilt import [-f] [-p num] [-n patch] [patchfile]"
+msgstr "Usage : quilt import [-f] [-p num] [-n patch] [fichier_de_patch]"
+
+#: ../quilt/import.in:25
+msgid ""
+"\n"
+"\n"
+"Import an external patch. If a patch file name is specified,\n"
+"the patch will be stored in this relative path in the patches/\n"
+"directory. Else, if an input file name is given this name is\n"
+"used as the patch name.\n"
+"\n"
+"-p num\n"
+"\tNumber of directory levels to strip when aplying (default=1)\n"
+"\n"
+"-n patch\n"
+"\tFile name relative to patches/ to use.\n"
+"\n"
+"-f\tOverwite/update existing patches.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Importe un patch externe. Si le nom de fichier spécifié est un chemin, il\n"
+"est relatif au répertoire patches/. Si aucun nom de fichier n'est donné, le\n"
+"patch sera stocké dans un fichier du même nom que le fichier d'entrée.\n"
+"\n"
+"-p num\n"
+"\tNombre de niveaux de répertoires à retirer lors de l'application du \n"
+"\tpatch (1 par défaut).\n"
+"\n"
+"-n patch\n"
+"\tNom de fichier (relatif à patches/) à utiliser.\n"
+"\n"
+"-f\tÉcrase/met à jour les patchs existants.\n"
+"\n"
+
+#: ../quilt/import.in:98
+msgid "Please use -n to specify a patch file name."
+msgstr "Veuillez utiliser -n pour spécifier un nom de fichier de patch."
+
+#: ../quilt/import.in:106
+msgid "Patch file name \\\"$patch_file\\\" contains whitespace."
+msgstr "Le nom de fichier de patch \"$patch_file\" contient des espaces."
+
+#: ../quilt/import.in:112
+msgid "Patch $patch is applied."
+msgstr "Le patch $patch est appliqué."
+
+#: ../quilt/import.in:121
+msgid "Cannot read from standard input."
+msgstr "Impossible de lire depuis l'entrée standard."
+
+#: ../quilt/import.in:130 ../quilt/import.in:139
+msgid "Cannot decompress file $input_file"
+msgstr "Impossible de décompresser le fichier $input_file"
+
+#: ../quilt/import.in:147
+msgid "Cannot read from file $input_file"
+msgstr "Impossible de lire depuis le fichier $input_file"
+
+#: ../quilt/import.in:156
+msgid "Patch $patch exists. Replace with -f."
+msgstr "Le patch $patch existe. Utilisez -f pour le remplacer."
+
+#: ../quilt/import.in:163
+msgid "Updating %patch section of patch $patch"
+msgstr "Mise à jour de la section %patch dans $patch"
+
+#: ../quilt/import.in:166
+msgid "Failed to update %patch section of patch $patch"
+msgstr "Impossible de mettre à jour la section %patch du patch $patch"
+
+#: ../quilt/import.in:170
+msgid "Replacing patch $patch with new version"
+msgstr "Remplacement du patch $patch avec la nouvelle version"
+
+#: ../quilt/import.in:173
+msgid "Failed to replace patch $patch"
+msgstr "Impossible de remplacer le patch $patch"
+
+#: ../quilt/import.in:178
+msgid "Importing patch $patch (stored as $patch_file)"
+msgstr "Import du patch $patch (enregistré dans $patch_file)"
+
+#: ../quilt/import.in:185
+msgid "Failed to import patch $patch"
+msgstr "Impossible d'importer le patch $patch"
+
+#: ../quilt/import.in:195
+msgid "Failed to insert $patch in file series."
+msgstr "Impossible d'inserer $patch dans le fichier de série."
+
+#: ../quilt/new.in:22
+msgid "Usage: quilt new {patchname}"
+msgstr "Usage : quilt new {nom_de_patch}"
+
+#: ../quilt/new.in:25
+msgid ""
+"\n"
+"\n"
+"Create a new patch with the specified file name, and insert\n"
+"it after the topmost patch in the patch series file.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Crée un nouveau patch au nom spécifié, et l'insere après le patch\n"
+"au sommet dans le fichier de série.\n"
+"\n"
+
+#: ../quilt/new.in:67
+msgid "Patch $patch exists already"
+msgstr "Le patch $patch existe déjà"
+
+#: ../quilt/new.in:77
+msgid "Failed to create patch $patch"
+msgstr "Impossible de crée le patch $patch"
+
+#: ../quilt/new.in:80
+msgid "Patch $patch is now on top"
+msgstr "Le patch $patch est maintenant au sommet"
+
+#: ../quilt/next.in:22
+msgid "Usage: quilt next [patch]"
+msgstr "Usage : quilt next [patch]"
+
+#: ../quilt/next.in:25
+msgid ""
+"\n"
+"\n"
+"Print the name of the next patch after the specified or topmost patch in\n"
+"the series file.\n"
+"\n"
+"-n\tPrint patch file names instead of patch names.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Affiche le nom du patch après celui spécifié (ou après celui au sommet)\n"
+"dans le fichier de série.\n"
+"\n"
+"-n\tAffiche le nom de fichier au lieu du nom de patch.\n"
+"\n"
+
+#: ../quilt/patches.in:22
+msgid "Usage: quilt patches {file}"
+msgstr "Usage : quilt patches {fichier}"
+
+#: ../quilt/patches.in:25
+msgid ""
+"\n"
+"\n"
+"Print the list of patches that modify the specified file.\n"
+"\n"
+"-n\tPrint the patch file names instead of the patch names.\n"
+"\n"
+"-v\tVerbose, more user friendly output.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Affiche la liste des patches modifiant le fichier spécifié.\n"
+"\n"
+"-n\tAffiche les noms de fichier au lieu des noms de patch.\n"
+"\n"
+"-v\tAffichage verbeux, plus simple à lire.\n"
+"\n"
+
+#: ../quilt/pop.in:22
+msgid "Usage: quilt pop [-afRqv] [num|patch]"
+msgstr "Usage : quilt pop [-afRqv] [num|patch]"
+
+#: ../quilt/pop.in:25
+msgid ""
+"\n"
+"\n"
+"Remove patch(es) from the current stack. A number of\n"
+"patches to remove, or a patch name can be specified. If a\n"
+"patch name is given, remove all patches up to and\n"
+"including the named patch. If neither a number nor a patch\n"
+"name is specified, remove the next patch from the series file.\n"
+"\n"
+"-a\tRemove all patches in the series file.\n"
+"\n"
+"-f\tForce remove. The state before the patch(es) were\n"
+"\tapplied will be restored from backup files.\n"
+"\n"
+"-R\tRemove the patch with \\`patch -R' and check if the\n"
+"\tpatch reverts all changes properly.\n"
+"\n"
+"-q\tQuiet operation.\n"
+"\n"
+"-v\tVerbose operation.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Retire un ou plusieurs patches de la pile. Il est possible de donner en\n"
+"arguement un nombre de patch à retirer ou un nom de patch. Dans ce dernier\n"
+"cas, tous les patches placés au dessus du patch à retirer seront retirés\n"
+"eux aussi. Si aucun argument n'est spécifié, le patch au sommet est retiré.\n"
+"\n"
+"-a\tRetire tous les patches de la série.\n"
+"\n"
+"-f\tForce l'action. L'état des patches avant qu'ils ne soient retirés \n"
+"\tsera restoré depuis les fichiers de sauvegarde.\n"
+"\n"
+"-R\tRetire le patche avec \\`patch -R' et vérifie que cela retire \n"
+"\tproprement tous les changements.\n"
+"\n"
+"-q\tOpère silencieusement.\n"
+"\n"
+"-v\tOpère verbeusement.\n"
+"\n"
+
+#: ../quilt/pop.in:84 ../quilt/push.in:83
+msgid "Patch $stop_at_patch not found in file series"
+msgstr "Le patch $stop_at_patch est introuvable dans le fichier de série"
+
+#: ../quilt/pop.in:157
+msgid "Patch $stop_at_patch is not applied."
+msgstr "Le patch $stop_at_patch n'est pas appliqué."
+
+#: ../quilt/pop.in:167
+msgid "No patch removed"
+msgstr "Aucun patch retiré"
+
+#: ../quilt/pop.in:181 ../quilt/push.in:184
+msgid "Interrupted by user"
+msgstr "Interrompu par l'utilisateur"
+
+#: ../quilt/previous.in:22
+msgid "Usage: quilt previous [patch]"
+msgstr "Usage : quilt previous [patch]"
+
+#: ../quilt/previous.in:25
+msgid ""
+"\n"
+"\n"
+"Print the name of the previous patch before the specified or topmost\n"
+"patch in the series file.\n"
+"\n"
+"-n\tPrint patch file names instead of patch names.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Affiche le nom du patch avant celui spécifié (ou après celui au sommet)\n"
+"dans le fichier de série.\n"
+"\n"
+"-n\tAffiche le nom de fichier au lieu du nom de patch.\n"
+"\n"
+
+#: ../quilt/push.in:22
+msgid "Usage: quilt push [-afqv] [--leave-rejects] [num|patch]"
+msgstr "Usage: quilt push [-afqv] [--leave-rejects] [num|patch]"
+
+#: ../quilt/push.in:25
+msgid ""
+"\n"
+"\n"
+"Apply patch(es) from the series file. A number of patches\n"
+"to apply, or a patch name can be specified. If a patch\n"
+"name is given, apply all patches up to and including the\n"
+"named patch. If neither a number nor a patch name is\n"
+"specified, apply the next patch from the series file.\n"
+"\n"
+"-a\tApply all patches in the series file.\n"
+"\n"
+"-f\tForce apply, even if the patch has rejects.\n"
+"\n"
+"-q\tQuiet operation.\n"
+"\n"
+"-v\tVerbose operation.\n"
+"\n"
+"--leave-rejects\n"
+"\tLeave around the reject files patch produced, even if\n"
+"\tthe patch is not actually applied.\n"
+"\t\n"
+msgstr ""
+"\n"
+"\n"
+"Applique un ou plusieurs patches de la série. Il est possible de donner en\n"
+"argument un nombre de patch à appliquer ou un nom de patch. Dans ce dernier\n"
+"cas, tous les patches placés au dessous du patch à retirer seront appliqués\n"
+"eux aussi. Si aucun argument n'est spécifié, le prochain patch est\n"
+"appliqué.\n"
+"\n"
+"-a\tApplique tous les patches de la série.\n"
+"\n"
+"-f\tForce l'application, même si cela doit produire des rejets.\n"
+"\n"
+"-R\tRetire le patche avec \\`patch -R' et vérifie que cela retire \n"
+"\tproprement tous les changements.\n"
+"\n"
+"-q\tOpère silencieusement.\n"
+"\n"
+"-v\tOpère verbeusement.\n"
+"\n"
+"--leave-rejects\n"
+"\tLaisse les fichiers de rejets produits, même si l'application du\n"
+"\tpatch a échoué et qu'il n'est finalement pas appliqué.\n"
+"\n"
+
+#: ../quilt/push.in:154
+msgid "Patch $stop_at_patch is already applied."
+msgstr "Le patch $stop_at_patch est déjà appliqué."
+
+#: ../quilt/push.in:169
+msgid "File series fully applied, ends at patch $top"
+msgstr "La série est complètement appliqué. Le dernier patch est $top."
+
+#: ../quilt/refresh.in:27
+msgid "Usage: quilt refresh [-p n] [-f] [patch]"
+msgstr "Usage : quilt refresh [-p n] [-f] [patch]"
+
+#: ../quilt/refresh.in:31
+msgid ""
+"\n"
+"\n"
+"Refresh an applied patch. Refreshes the specified patch, or\n"
+"the topmost patch by default. Documentation on top of the\n"
+"actual patch is retained.\n"
+"\n"
+"It is possible to refresh patches that are not on top. If\n"
+"any patches on top of the patch to refresh modify the same\n"
+"files, this script prints out the file and patch names. If\n"
+"there are any such conflicts, patches can still be refreshed\n"
+"with -f. In that case this script will print a warning for\n"
+"each shadowed file, changes by more recent patches will be\n"
+"ignored, and only changes in files that have not been\n"
+"modified by any more recent patches will end up in the\n"
+"specified patch.\n"
+"\n"
+"-p n\tCreate a -p n style patch (-p0 or -p1 supported).\n"
+"\t\n"
+"-f\tForce refresh, even if more recent patches modify\n"
+"\tsome of the same files.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Rafraîchit un patch appliqué. Si aucun patch n'est spécifié, il s'agit de\n"
+"celui au sommet. La documentation au début du patch est conservée.\n"
+"\n"
+"Il est possible de rafraîchir un patch ne se trouvant pas au sommet. Dans\n"
+"ce cas et si un autre patch placé plus haut modifie les mêmes fichiers, ce\n"
+"script affiche ces patches conflictuels, ainsi que le nom du fichier sur\n"
+"lequel porte le conflit. \n"
+"\n"
+"Même en cas de conflit, il est possible de rafraîchir le patch en utilisant\n"
+"l'option -f. Le script affichera alors un message d'avertissement pour\n"
+"chaque fichier masqué de la sorte, et ignorera tout changement à ces\n"
+"fichiers.\n"
+"\n"
+"-p n\tCrée un patch du style -p n (-p0 ou -p1)\n"
+"\n"
+"-f\tForce le rafraîchissement, même si des patches plus haut changent \n"
+"\tles mêmes fichiers.\n"
+
+#: ../quilt/refresh.in:125
+msgid ""
+"Cannot refresh patches with -p$opt_strip_level, please specify -p0 or -p1 "
+"instead"
+msgstr ""
+"Impossible de rafraîchir des patchs avec -p$opt_strip_level. Veuillez\n"
+"spécifier -p0 ou -p1 à la place."
+
+#: ../quilt/refresh.in:152
+msgid "More recent patches modify the same files. Enforce refresh with -f."
+msgstr ""
+"Des fichiers plus récents modifient les mêmes fichiers. Forcez le\n"
+"rafraîchissement avec -f."
+
+#: ../quilt/refresh.in:159
+msgid "Nothing in patch $patch"
+msgstr "Le patch $patch ne contient rien"
+
+#: ../quilt/refresh.in:199
+msgid "Refreshed patch $patch"
+msgstr "Le patch $patch a été rafraichi."
+
+#: ../quilt/remove.in:22
+msgid "Usage: quilt remove [-p patch] {file} ..."
+msgstr "Usage : quilt remove [-p patch] {fichier} ..."
+
+#: ../quilt/remove.in:25
+msgid ""
+"\n"
+"\n"
+"Remove one or more files from the topmost or named patch.\n"
+"Files that are modified by patches on top of the specified\n"
+"patch cannot be removed.\n"
+"\n"
+"-p patch\n"
+"\tPatch to remove files from.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Retire un ou plusieurs fichiers du patch au sommet ou du patch\n"
+"spécifié. Des fichiers modifiés par des patches plus haut danzs la série ne\n"
+"peuvent pas être retirés.\n"
+"\n"
+"-p patch\n"
+"\tPatch duquel les fichiers doivent être retirés.\n"
+"\n"
+
+#: ../quilt/remove.in:90
+msgid "File $file is not in patch $patch"
+msgstr "Le fichier $file n'est pas dans le patch $patch."
+
+#: ../quilt/remove.in:106
+msgid "Failed to remove file $file from patch $patch"
+msgstr "Impossible d'enlever le fichier $file du patch $patch."
+
+#: ../quilt/remove.in:117
+msgid "File $file removed from patch $patch"
+msgstr "Le fichier $file a été enlevé du patch $patch."
+
+#: ../quilt/series.in:22
+msgid "Usage: quilt series [-v]"
+msgstr "Usage : quilt series [-v]"
+
+#: ../quilt/series.in:25
+msgid ""
+"\n"
+"\n"
+"Print the names of all patches in the series file.\n"
+"\n"
+"-n\tPrint patch file names instead patch names.\n"
+"\n"
+"-v\tVerbose, more user friendly output.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Affiche le nom de tous les patches de la série.\n"
+"\n"
+"-n\tAffiche les noms de fichier au lieu des noms de patch.\n"
+"\n"
+"-v\tAffichage verbeux, plus simple à lire.\n"
+"\n"
+
+#: ../quilt/setup.in:22
+msgid "Usage: quilt setup [-d sourcedir] {seriesfile|specfile}"
+msgstr ""
+"Usage : quilt setup [-d répertoire_source] {fichier_séries|fichier_spec}"
+
+#: ../quilt/setup.in:25
+msgid ""
+"\n"
+"\n"
+"Initializes a source tree from a patch series file. The\n"
+"patch series file must contain the name of the relevant\n"
+"tar archive, in addition to the list of patches.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Initialise une arborescence source depuis un fichier de série. Ce fichier "
+"doit contenir le nom de l'archive tar à utiliser, ainsi que la liste des "
+"patches.\n"
+"\n"
+
+#: ../quilt/setup.in:100
+msgid "Series file $series_file not found"
+msgstr "Fichier de série $series_file introuvable"
+
+#: ../quilt/setup.in:125
+msgid "Reading sources from $arg"
+msgstr "Lecture des sources depuis $arg"
+
+#: ../quilt/setup.in:128
+msgid "Unpacking archive $source/$arg"
+msgstr "Désarchivage depuis $source/$arg"
+
+#: ../quilt/setup.in:138
+msgid "Directory $packagedir exists already."
+msgstr "Le répertoire $packagedir existe déjà."
+
+#: ../quilt/setup.in:143
+msgid "File $packagedir exists."
+msgstr "Le fichier $packagedir existe."
+
+#: ../quilt/setup.in:149
+msgid "Copying patch $source/$arg"
+msgstr "Copie du patch $source/$arg"
+
+#: ../quilt/setup.in:154
+msgid "Copying series file"
+msgstr "Copie du fichier de série"
+
+#: ../quilt/setup.in:178
+msgid "Directory $packagedir set up."
+msgstr "Le répertoire $packagedir est configuré."
+
+#: ../quilt/top.in:22
+msgid "Usage: quilt top"
+msgstr "Usage : quilt top"
+
+#: ../quilt/top.in:25
+msgid ""
+"\n"
+"\n"
+"Print the name of the topmost patch on the current stack of applied\n"
+"patches.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Affiche le nom du patch au sommet de la pile des patches actuellement\n"
+"appliqués.\n"
+"\n"
+
+#: ../quilt/unapplied.in:22
+msgid "Usage: quilt unapplied [patch]"
+msgstr "Usage : quilt unapplied [patch]"
+
+#: ../quilt/unapplied.in:25
+msgid ""
+"\n"
+"\n"
+"Print a list of patches that are not applied, or all patches that follow\n"
+"the specified patch in the series file.\n"
+"\n"
+"-n\tPrint patch file names instead of patch names.\n"
+"\n"
+msgstr ""
+"\n"
+"\n"
+"Affiche la liste de tous les patches non appliqués, ou de tous les patches\n"
+"suivant celui indiqué en paramètre.\n"
+"\n"
+"-n\tAffiche les noms de fichier au lieu des noms de patch.\n"
+"\n"
+
+#: ../scripts/apatch.in:22
+msgid "Usage: $0 [-fqv] patchname"
+msgstr "Usage : $0 [-fqv] patchname"
+
+#: ../scripts/apatch.in:40
+msgid "Interrupted by user; patch $patch was not applied."
+msgstr "Interrompu par l'utilisateur ; le patch $patch n'a pas été appliqué."
+
+#: ../scripts/apatch.in:51 ../scripts/rpatch.in:113
+msgid "Patch file $patch_file appears to be empty"
+msgstr "Le fichier de patch $patch_file semble vide"
+
+#: ../scripts/apatch.in:80
+msgid "refresh_file_list failed"
+msgstr "refresh_file_list a échoué."
+
+#: ../scripts/apatch.in:84
+msgid "Applying $patch"
+msgstr "Application de $patch"
+
+#: ../scripts/apatch.in:87
+msgid "Patch $patch appears to be empty, applied"
+msgstr "Le patch $patch semble vide. Il a été appliqué."
+
+#: ../scripts/apatch.in:95
+msgid "Recreated file list for $patch"
+msgstr "La liste des fichiers pour $patch a été recrée."
+
+#: ../scripts/apatch.in:126
+msgid "Applied $patch (forced; needs refresh)"
+msgstr "$patch a été appliqué (forcé ; vous devriez le rafraîchir)"
+
+#: ../scripts/apatch.in:130
+msgid "Patch $patch does not apply (enforce with -f)"
+msgstr ""
+"Le patch $patch ne s'applique pas proprement (forcez l'application avec -f)"
+
+#: ../scripts/apatch.in:181 ../scripts/rpatch.in:246
+msgid "The topmost patch $top needs to be refreshed first."
+msgstr "Le patch au sommet $top doit être rafraichi au préalable."
+
+#: ../scripts/rpatch.in:22
+msgid "Usage: $0 [-fRq] patchname"
+msgstr "Usage: $0 [-fRq] nom_de_patch"
+
+#: ../scripts/rpatch.in:44
+msgid "Patch does not remove changes:"
+msgstr "Le patch d'enlève pas les changements :"
+
+#: ../scripts/rpatch.in:102
+msgid "Interrupted by user; patch $patch was not removed."
+msgstr "Interrompu par l'utilisateur ; le patch $patch n'a pas été retiré;"
+
+#: ../scripts/rpatch.in:139
+msgid "Patch $patch appears to be empty, removed"
+msgstr "Le patch $patch semble vide. Il a été retiré."
+
+#: ../scripts/rpatch.in:164
+msgid "Failed to create temporary files"
+msgstr "Impossible de créer les fichiers temporaires"
+
+#: ../scripts/rpatch.in:185
+msgid "Patch $patch does not remove (enforce with -f)"
+msgstr "Le patch $patch ne se retire pas proprement (forcez avec -f)"
+
+#: ../scripts/rpatch.in:194
+msgid "no patch applied"
+msgstr "aucun patch n'est appliqué"
+
+#: ../scripts/rpatch.in:196
+msgid "now at $top"
+msgstr "maintenant à $top"
+
+#: ../scripts/rpatch.in:198
+msgid "Removed $patch, $where"
+msgstr "$patch a été retiré, $where"
+
+#: ../scripts/spec2series.in:100 ../scripts/spec2series.in:192
+msgid " done"
+msgstr " fini"
diff --git a/po/quilt.pot b/po/quilt.pot
new file mode 100644
index 0000000..013877f
--- /dev/null
+++ b/po/quilt.pot
@@ -0,0 +1,698 @@
+#: ../bin/quilt.in:14
+msgid "Usage: quilt command [-h] ..."
+msgstr ""
+
+#: ../bin/quilt.in:26
+msgid "Commands are:"
+msgstr ""
+
+#: ../bin/quilt.in:83
+msgid "$command:"
+msgstr ""
+
+#: ../quilt/add.in:22
+msgid "Usage: quilt add [-p patch] {file} ..."
+msgstr ""
+
+#: ../quilt/add.in:25
+msgid ""
+"\n"
+"\n"
+"Add one or more files to the topmost or named patch.\n"
+"Files must be added to the patch before being modified.\n"
+"Files that are modified by patches on top of the specified\n"
+"patch cannot be added.\n"
+"\n"
+"-p patch\n"
+"\tPatch to add files to."
+msgstr ""
+
+#: ../quilt/add.in:76 ../quilt/delete.in:69 ../quilt/files.in:75
+#: ../quilt/guidiff.in:65 ../quilt/push.in:167 ../quilt/remove.in:76
+msgid "No patch applied"
+msgstr ""
+
+#: ../quilt/add.in:81 ../quilt/refresh.in:115 ../quilt/remove.in:81
+msgid "Patch $patch is not applied"
+msgstr ""
+
+#: ../quilt/add.in:90
+msgid "File $file is already in patch $patch"
+msgstr ""
+
+#: ../quilt/add.in:97 ../quilt/remove.in:98
+msgid "File $file modified by patch $next_patch"
+msgstr ""
+
+#: ../quilt/add.in:105
+msgid "Failed to back up file $file"
+msgstr ""
+
+#: ../quilt/add.in:125
+msgid "File $file added to patch $patch"
+msgstr ""
+
+#: ../quilt/applied.in:22
+msgid "Usage: quilt applied [patch]"
+msgstr ""
+
+#: ../quilt/applied.in:25
+msgid ""
+"\n"
+"\n"
+"Print a list of applied patches, or all patches up to and including the\n"
+"specified patch in the file series.\n"
+"\n"
+"-n\tPrint patch file names instead of patch names."
+msgstr ""
+
+#: ../quilt/delete.in:22
+msgid "Usage: quilt delete [patch]"
+msgstr ""
+
+#: ../quilt/delete.in:25
+msgid ""
+"\n"
+"\n"
+"Remove the specified or topmost patch from the series file. If the \n"
+"patch is applied, quilt will attempt to remove it first. (Only the \n"
+"topmost patch can be removed right now.)"
+msgstr ""
+
+#: ../quilt/delete.in:75
+msgid "Patch $patch does not exist"
+msgstr ""
+
+#: ../quilt/delete.in:84
+msgid "Patch $patch is currently applied"
+msgstr ""
+
+#: ../quilt/delete.in:90
+msgid "Failed to remove patch $patch"
+msgstr ""
+
+#: ../quilt/diff.in:27
+msgid "Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [file ...]"
+msgstr ""
+
+#: ../quilt/diff.in:31
+msgid ""
+"\n"
+"\n"
+"Produces a diff of the specified file(s) in the topmost or\n"
+"specified patch. If no files are specified, all files that\n"
+"are modified are included.\n"
+"\n"
+"-p n\tCreate a -p n style patch (-p0 or -p1 are supported).\n"
+"\n"
+"-P patch\n"
+"\tCreate a diff for the specified patch. (Defaults to\n"
+"\tthe topmost patch.)\n"
+"\n"
+"-c patch\n"
+"\tCreate a combined diff for all patches between this\n"
+"\tpatch and the patch specified with -P.\n"
+"\n"
+"-R\tCreate a reverse diff.\n"
+"\n"
+"-z\tWrite to standard output the changes that have been\n"
+"\tmade relative to the topmost or specified patch.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/diff.in:131
+msgid "Options \\`-c patch' and \\`-z' cannot be combined."
+msgstr ""
+
+#: ../quilt/diff.in:140 ../quilt/refresh.in:108
+msgid "No patch seem to be applied"
+msgstr ""
+
+#: ../quilt/diff.in:147
+msgid "Patch $last_patch is not applied"
+msgstr ""
+
+#: ../quilt/diff.in:157
+msgid ""
+"Cannot diff patches with -p$opt_strip_level, please specify -p0 or -p1 "
+"instead"
+msgstr ""
+
+#: ../quilt/diff.in:165
+msgid "refresh_patches_per_file failed."
+msgstr ""
+
+#: ../quilt/diff.in:178
+msgid "Patch $opt_combine not applied before $last_patch."
+msgstr ""
+
+#: ../quilt/diff.in:212
+msgid "File $file is not being modified."
+msgstr ""
+
+#: ../quilt/diff.in:229
+msgid "Cannot change into .pc/$last_patch"
+msgstr ""
+
+#: ../quilt/diff.in:234
+msgid "Failed to copy files to temporary directory"
+msgstr ""
+
+#: ../quilt/diff.in:239
+msgid "Cannot change to temporary directory"
+msgstr ""
+
+#: ../quilt/diff.in:256
+msgid "Failed to patch temporary files"
+msgstr ""
+
+#: ../quilt/diff.in:263
+msgid "Cannot change to source directory"
+msgstr ""
+
+#: ../quilt/diff.in:298 ../quilt/refresh.in:146
+msgid "Diff failed, aborting."
+msgstr ""
+
+#: ../quilt/diff.in:305
+msgid "More recent patches modify the same files."
+msgstr ""
+
+#: ../quilt/files.in:22
+msgid "Usage: quilt files [-v] [patch]"
+msgstr ""
+
+#: ../quilt/files.in:25
+msgid ""
+"\n"
+"\n"
+"Print the list of files that the topmost or specified patch\n"
+"changes.\n"
+"\n"
+"-v\tVerbose, more user friendly output.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/files.in:84
+msgid "Patch is not applied (no verbose output)"
+msgstr ""
+
+#: ../quilt/files.in:87
+msgid "Patch is not applied"
+msgstr ""
+
+#: ../quilt/guidiff.in:22
+msgid "Usage: quilt guidiff"
+msgstr ""
+
+#: ../quilt/guidiff.in:26
+msgid ""
+"\n"
+"\n"
+"Display in $guidiffname the changes to files in the topmost patch.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/guidiff.in:79
+msgid "The file $file doesn't exist before this patch"
+msgstr ""
+
+#: ../quilt/guidiff.in:83
+msgid "No file in patch $patch"
+msgstr ""
+
+#: ../quilt/import.in:22
+msgid "Usage: quilt import [-f] [-p num] [-n patch] [patchfile]"
+msgstr ""
+
+#: ../quilt/import.in:25
+msgid ""
+"\n"
+"\n"
+"Import an external patch. If a patch file name is specified,\n"
+"the patch will be stored in this relative path in the patches/\n"
+"directory. Else, if an input file name is given this name is\n"
+"used as the patch name.\n"
+"\n"
+"-p num\n"
+"\tNumber of directory levels to strip when aplying (default=1)\n"
+"\n"
+"-n patch\n"
+"\tFile name relative to patches/ to use.\n"
+"\n"
+"-f\tOverwite/update existing patches.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/import.in:98
+msgid "Please use -n to specify a patch file name."
+msgstr ""
+
+#: ../quilt/import.in:106
+msgid "Patch file name \\\"$patch_file\\\" contains whitespace."
+msgstr ""
+
+#: ../quilt/import.in:112
+msgid "Patch $patch is applied."
+msgstr ""
+
+#: ../quilt/import.in:121
+msgid "Cannot read from standard input."
+msgstr ""
+
+#: ../quilt/import.in:130 ../quilt/import.in:139
+msgid "Cannot decompress file $input_file"
+msgstr ""
+
+#: ../quilt/import.in:147
+msgid "Cannot read from file $input_file"
+msgstr ""
+
+#: ../quilt/import.in:156
+msgid "Patch $patch exists. Replace with -f."
+msgstr ""
+
+#: ../quilt/import.in:163
+msgid "Updating %patch section of patch $patch"
+msgstr ""
+
+#: ../quilt/import.in:166
+msgid "Failed to update %patch section of patch $patch"
+msgstr ""
+
+#: ../quilt/import.in:170
+msgid "Replacing patch $patch with new version"
+msgstr ""
+
+#: ../quilt/import.in:173
+msgid "Failed to replace patch $patch"
+msgstr ""
+
+#: ../quilt/import.in:178
+msgid "Importing patch $patch (stored as $patch_file)"
+msgstr ""
+
+#: ../quilt/import.in:185
+msgid "Failed to import patch $patch"
+msgstr ""
+
+#: ../quilt/import.in:195
+msgid "Failed to insert $patch in file series."
+msgstr ""
+
+#: ../quilt/new.in:22
+msgid "Usage: quilt new {patchname}"
+msgstr ""
+
+#: ../quilt/new.in:25
+msgid ""
+"\n"
+"\n"
+"Create a new patch with the specified file name, and insert\n"
+"it after the topmost patch in the patch series file.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/new.in:67
+msgid "Patch $patch exists already"
+msgstr ""
+
+#: ../quilt/new.in:77
+msgid "Failed to create patch $patch"
+msgstr ""
+
+#: ../quilt/new.in:80
+msgid "Patch $patch is now on top"
+msgstr ""
+
+#: ../quilt/next.in:22
+msgid "Usage: quilt next [patch]"
+msgstr ""
+
+#: ../quilt/next.in:25
+msgid ""
+"\n"
+"\n"
+"Print the name of the next patch after the specified or topmost patch in\n"
+"the series file.\n"
+"\n"
+"-n\tPrint patch file names instead of patch names.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/patches.in:22
+msgid "Usage: quilt patches {file}"
+msgstr ""
+
+#: ../quilt/patches.in:25
+msgid ""
+"\n"
+"\n"
+"Print the list of patches that modify the specified file.\n"
+"\n"
+"-n\tPrint the patch file names instead of the patch names.\n"
+"\n"
+"-v\tVerbose, more user friendly output.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/pop.in:22
+msgid "Usage: quilt pop [-afRqv] [num|patch]"
+msgstr ""
+
+#: ../quilt/pop.in:25
+msgid ""
+"\n"
+"\n"
+"Remove patch(es) from the current stack. A number of\n"
+"patches to remove, or a patch name can be specified. If a\n"
+"patch name is given, remove all patches up to and\n"
+"including the named patch. If neither a number nor a patch\n"
+"name is specified, remove the next patch from the series file.\n"
+"\n"
+"-a\tRemove all patches in the series file.\n"
+"\n"
+"-f\tForce remove. The state before the patch(es) were\n"
+"\tapplied will be restored from backup files.\n"
+"\n"
+"-R\tRemove the patch with \\`patch -R' and check if the\n"
+"\tpatch reverts all changes properly.\n"
+"\n"
+"-q\tQuiet operation.\n"
+"\n"
+"-v\tVerbose operation.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/pop.in:84 ../quilt/push.in:83
+msgid "Patch $stop_at_patch not found in file series"
+msgstr ""
+
+#: ../quilt/pop.in:157
+msgid "Patch $stop_at_patch is not applied."
+msgstr ""
+
+#: ../quilt/pop.in:167
+msgid "No patch removed"
+msgstr ""
+
+#: ../quilt/pop.in:181 ../quilt/push.in:184
+msgid "Interrupted by user"
+msgstr ""
+
+#: ../quilt/previous.in:22
+msgid "Usage: quilt previous [patch]"
+msgstr ""
+
+#: ../quilt/previous.in:25
+msgid ""
+"\n"
+"\n"
+"Print the name of the previous patch before the specified or topmost\n"
+"patch in the series file.\n"
+"\n"
+"-n\tPrint patch file names instead of patch names.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/push.in:22
+msgid "Usage: quilt push [-afqv] [--leave-rejects] [num|patch]"
+msgstr ""
+
+#: ../quilt/push.in:25
+msgid ""
+"\n"
+"\n"
+"Apply patch(es) from the series file. A number of patches\n"
+"to apply, or a patch name can be specified. If a patch\n"
+"name is given, apply all patches up to and including the\n"
+"named patch. If neither a number nor a patch name is\n"
+"specified, apply the next patch from the series file.\n"
+"\n"
+"-a\tApply all patches in the series file.\n"
+"\n"
+"-f\tForce apply, even if the patch has rejects.\n"
+"\n"
+"-q\tQuiet operation.\n"
+"\n"
+"-v\tVerbose operation.\n"
+"\n"
+"--leave-rejects\n"
+"\tLeave around the reject files patch produced, even if\n"
+"\tthe patch is not actually applied.\n"
+"\t\n"
+msgstr ""
+
+#: ../quilt/push.in:154
+msgid "Patch $stop_at_patch is already applied."
+msgstr ""
+
+#: ../quilt/push.in:169
+msgid "File series fully applied, ends at patch $top"
+msgstr ""
+
+#: ../quilt/refresh.in:27
+msgid "Usage: quilt refresh [-p n] [-f] [patch]"
+msgstr ""
+
+#: ../quilt/refresh.in:31
+msgid ""
+"\n"
+"\n"
+"Refresh an applied patch. Refreshes the specified patch, or\n"
+"the topmost patch by default. Documentation on top of the\n"
+"actual patch is retained.\n"
+"\n"
+"It is possible to refresh patches that are not on top. If\n"
+"any patches on top of the patch to refresh modify the same\n"
+"files, this script prints out the file and patch names. If\n"
+"there are any such conflicts, patches can still be refreshed\n"
+"with -f. In that case this script will print a warning for\n"
+"each shadowed file, changes by more recent patches will be\n"
+"ignored, and only changes in files that have not been\n"
+"modified by any more recent patches will end up in the\n"
+"specified patch.\n"
+"\n"
+"-p n\tCreate a -p n style patch (-p0 or -p1 supported).\n"
+"\t\n"
+"-f\tForce refresh, even if more recent patches modify\n"
+"\tsome of the same files.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/refresh.in:125
+msgid ""
+"Cannot refresh patches with -p$opt_strip_level, please specify -p0 or -p1 "
+"instead"
+msgstr ""
+
+#: ../quilt/refresh.in:152
+msgid "More recent patches modify the same files. Enforce refresh with -f."
+msgstr ""
+
+#: ../quilt/refresh.in:159
+msgid "Nothing in patch $patch"
+msgstr ""
+
+#: ../quilt/refresh.in:199
+msgid "Refreshed patch $patch"
+msgstr ""
+
+#: ../quilt/remove.in:22
+msgid "Usage: quilt remove [-p patch] {file} ..."
+msgstr ""
+
+#: ../quilt/remove.in:25
+msgid ""
+"\n"
+"\n"
+"Remove one or more files from the topmost or named patch.\n"
+"Files that are modified by patches on top of the specified\n"
+"patch cannot be removed.\n"
+"\n"
+"-p patch\n"
+"\tPatch to remove files from.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/remove.in:90
+msgid "File $file is not in patch $patch"
+msgstr ""
+
+#: ../quilt/remove.in:106
+msgid "Failed to remove file $file from patch $patch"
+msgstr ""
+
+#: ../quilt/remove.in:117
+msgid "File $file removed from patch $patch"
+msgstr ""
+
+#: ../quilt/series.in:22
+msgid "Usage: quilt series [-v]"
+msgstr ""
+
+#: ../quilt/series.in:25
+msgid ""
+"\n"
+"\n"
+"Print the names of all patches in the series file.\n"
+"\n"
+"-n\tPrint patch file names instead patch names.\n"
+"\n"
+"-v\tVerbose, more user friendly output.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/setup.in:22
+msgid "Usage: quilt setup [-d sourcedir] {seriesfile|specfile}"
+msgstr ""
+
+#: ../quilt/setup.in:25
+msgid ""
+"\n"
+"\n"
+"Initializes a source tree from a patch series file. The\n"
+"patch series file must contain the name of the relevant\n"
+"tar archive, in addition to the list of patches.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/setup.in:100
+msgid "Series file $series_file not found"
+msgstr ""
+
+#: ../quilt/setup.in:125
+msgid "Reading sources from $arg"
+msgstr ""
+
+#: ../quilt/setup.in:128
+msgid "Unpacking archive $source/$arg"
+msgstr ""
+
+#: ../quilt/setup.in:138
+msgid "Directory $packagedir exists already."
+msgstr ""
+
+#: ../quilt/setup.in:143
+msgid "File $packagedir exists."
+msgstr ""
+
+#: ../quilt/setup.in:149
+msgid "Copying patch $source/$arg"
+msgstr ""
+
+#: ../quilt/setup.in:154
+msgid "Copying series file"
+msgstr ""
+
+#: ../quilt/setup.in:178
+msgid "Directory $packagedir set up."
+msgstr ""
+
+#: ../quilt/top.in:22
+msgid "Usage: quilt top"
+msgstr ""
+
+#: ../quilt/top.in:25
+msgid ""
+"\n"
+"\n"
+"Print the name of the topmost patch on the current stack of applied\n"
+"patches.\n"
+"\n"
+msgstr ""
+
+#: ../quilt/unapplied.in:22
+msgid "Usage: quilt unapplied [patch]"
+msgstr ""
+
+#: ../quilt/unapplied.in:25
+msgid ""
+"\n"
+"\n"
+"Print a list of patches that are not applied, or all patches that follow\n"
+"the specified patch in the series file.\n"
+"\n"
+"-n\tPrint patch file names instead of patch names.\n"
+"\n"
+msgstr ""
+
+#: ../scripts/apatch.in:22
+msgid "Usage: $0 [-fqv] patchname"
+msgstr ""
+
+#: ../scripts/apatch.in:40
+msgid "Interrupted by user; patch $patch was not applied."
+msgstr ""
+
+#: ../scripts/apatch.in:51 ../scripts/rpatch.in:113
+msgid "Patch file $patch_file appears to be empty"
+msgstr ""
+
+#: ../scripts/apatch.in:80
+msgid "refresh_file_list failed"
+msgstr ""
+
+#: ../scripts/apatch.in:84
+msgid "Applying $patch"
+msgstr ""
+
+#: ../scripts/apatch.in:87
+msgid "Patch $patch appears to be empty, applied"
+msgstr ""
+
+#: ../scripts/apatch.in:95
+msgid "Recreated file list for $patch"
+msgstr ""
+
+#: ../scripts/apatch.in:126
+msgid "Applied $patch (forced; needs refresh)"
+msgstr ""
+
+#: ../scripts/apatch.in:130
+msgid "Patch $patch does not apply (enforce with -f)"
+msgstr ""
+
+#: ../scripts/apatch.in:181 ../scripts/rpatch.in:246
+msgid "The topmost patch $top needs to be refreshed first."
+msgstr ""
+
+#: ../scripts/rpatch.in:22
+msgid "Usage: $0 [-fRq] patchname"
+msgstr ""
+
+#: ../scripts/rpatch.in:44
+msgid "Patch does not remove changes:"
+msgstr ""
+
+#: ../scripts/rpatch.in:102
+msgid "Interrupted by user; patch $patch was not removed."
+msgstr ""
+
+#: ../scripts/rpatch.in:139
+msgid "Patch $patch appears to be empty, removed"
+msgstr ""
+
+#: ../scripts/rpatch.in:164
+msgid "Failed to create temporary files"
+msgstr ""
+
+#: ../scripts/rpatch.in:185
+msgid "Patch $patch does not remove (enforce with -f)"
+msgstr ""
+
+#: ../scripts/rpatch.in:194
+msgid "no patch applied"
+msgstr ""
+
+#: ../scripts/rpatch.in:196
+msgid "now at $top"
+msgstr ""
+
+#: ../scripts/rpatch.in:198
+msgid "Removed $patch, $where"
+msgstr ""
+
+#: ../scripts/spec2series.in:100 ../scripts/spec2series.in:192
+msgid " done"
+msgstr ""
diff --git a/quilt.changes b/quilt.changes
index 7f3d29c..6220db7 100644
--- a/quilt.changes
+++ b/quilt.changes
@@ -1,4 +1,10 @@
-------------------------------------------------------------------
+Fri Feb 14 14:10:39 +0100 2003 - martin.quinson@tuxfamily.org
+
+- Implement i18n, along with the french l10n.
+- It was long enough that we didn't release, so bump the version number.
+
+-------------------------------------------------------------------
Sat Feb 8 15:43:26 +0100 2003 - agruen@suse.de
- Merge James Rowe <Jay@jnrowe.uklinux.net>'s quilt-help.diff
diff --git a/quilt/add.in b/quilt/add.in
index cf15ce6..647df15 100644
--- a/quilt/add.in
+++ b/quilt/add.in
@@ -19,10 +19,10 @@ fi
usage()
{
- echo "Usage: quilt add [-p patch] {file} ..."
+ echo $"Usage: quilt add [-p patch] {file} ..."
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Add one or more files to the topmost or named patch.
Files must be added to the patch before being modified.
@@ -30,9 +30,8 @@ Files that are modified by patches on top of the specified
patch cannot be added.
-p patch
- Patch to add files to.
+ Patch to add files to."
-EOF
exit 0
else
exit 1
@@ -74,12 +73,12 @@ then
fi
if [ -z "$patch" ]
then
- echo "No patches applied"
+ echo $"No patch applied"
fi
if ! is_applied $patch
then
- echo "Patch $patch is not applied"
+ echo $"Patch $patch is not applied"
exit 1
fi
@@ -88,14 +87,14 @@ for file in $*
do
if file_in_patch $file $patch
then
- echo "File $file is already in patch $patch"
+ echo $"File $file is already in patch $patch"
status=1
continue
fi
next_patch=$(next_patch_for_file $patch $file)
if [ -n "$next_patch" ]
then
- echo "File $file modified by patch $next_patch"
+ echo $"File $file modified by patch $next_patch"
status=1
continue
fi
@@ -103,7 +102,7 @@ do
if ! @LIB@/backup-files -s -B .pc/$patch/ $file || \
! echo $file >> $(pc_file_name $patch)
then
- echo "Failed to back up file $file" >&2
+ echo $"Failed to back up file $file" >&2
status=1
continue
fi
@@ -123,7 +122,7 @@ do
fi
fi
- echo "File $file added to patch $patch"
+ echo $"File $file added to patch $patch"
done
exit $status
### Local Variables:
diff --git a/quilt/applied.in b/quilt/applied.in
index 806d4bf..82cc6e3 100644
--- a/quilt/applied.in
+++ b/quilt/applied.in
@@ -19,17 +19,16 @@ fi
usage()
{
- echo "Usage: quilt applied [patch]"
+ echo $"Usage: quilt applied [patch]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Print a list of applied patches, or all patches up to and including the
specified patch in the file series.
--n Print patch file names instead of patch names.
+-n Print patch file names instead of patch names."
-EOF
exit 0
else
exit 1
diff --git a/quilt/delete.in b/quilt/delete.in
index bc7060b..3cedffb 100644
--- a/quilt/delete.in
+++ b/quilt/delete.in
@@ -19,16 +19,15 @@ fi
usage()
{
- echo "Usage: quilt delete [patch]"
+ echo $"Usage: quilt delete [patch]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Remove the specified or topmost patch from the series file. If the
patch is applied, quilt will attempt to remove it first. (Only the
-topmost patch can be removed right now.)
+topmost patch can be removed right now.)"
-EOF
exit 0
else
exit 1
@@ -67,13 +66,13 @@ then
patch="$(top_patch)"
if [ -z "$patch" ]
then
- echo "No patches applied"
+ echo $"No patch applied"
exit 1
fi
else
if ! patch_in_series $patch
then
- echo "Patch $patch does not exist"
+ echo $"Patch $patch does not exist"
exit 1
fi
fi
@@ -82,13 +81,13 @@ then
if [ "$patch" != "$(top_patch)" ] || \
! @SCRIPTS@/rpatch -fq "$patch"
then
- echo "Patch $patch is currently applied"
+ echo $"Patch $patch is currently applied"
exit 1
fi
fi
if ! remove_from_series $patch
then
- echo "Failed to remove patch $patch"
+ echo $"Failed to remove patch $patch"
fi
### Local Variables:
### mode: shell-script
diff --git a/quilt/diff.in b/quilt/diff.in
index 45357e0..f237ce1 100644
--- a/quilt/diff.in
+++ b/quilt/diff.in
@@ -24,11 +24,11 @@ usage()
then
redirect='>&2'
fi
- echo "Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [file ...]" $redirect
+ echo $"Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [file ...]" $redirect
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Produces a diff of the specified file(s) in the topmost or
specified patch. If no files are specified, all files that
@@ -49,7 +49,7 @@ are modified are included.
-z Write to standard output the changes that have been
made relative to the topmost or specified patch.
-EOF
+"
exit 0
else
exit 1
@@ -128,7 +128,7 @@ opt_files=( "$@" )
if [ -n "$opt_combine" -a -n "$opt_relative" ]
then
- echo "Options \`-c patch' and \`-z' cannot be combined."
+ echo $"Options \`-c patch' and \`-z' cannot be combined."
die 1
fi
@@ -137,14 +137,14 @@ then
last_patch=$(top_patch)
if [ -z "$last_patch" ]
then
- echo "No patches seem to be applied" >&2
+ echo $"No patch seem to be applied" >&2
die 1
fi
fi
if ! is_applied "$last_patch"
then
- echo "Patch $last_patch is not applied" >&2
+ echo $"Patch $last_patch is not applied" >&2
die 1
fi
@@ -154,8 +154,7 @@ then
fi
if [ $opt_strip_level -lt 0 -o $opt_strip_level -gt 1 ]
then
- echo "Cannot diff patches with -p$opt_strip_level," \
- "please specify -p0 or -p1 instead" >&2
+ echo $"Cannot diff patches with -p$opt_strip_level, please specify -p0 or -p1 instead" >&2
die 1
fi
@@ -163,7 +162,7 @@ if [ -n "$opt_combine" ]
then
if ! refresh_patches_per_file
then
- echo "refresh_patches_per_file failed."
+ echo $"refresh_patches_per_file failed."
die 1
fi
@@ -176,8 +175,7 @@ then
done
if [ $# -eq 0 ]
then
- echo "Patch $opt_combine not applied" \
- "before $last_patch."
+ echo $"Patch $opt_combine not applied before $last_patch."
die 1
fi
fi
@@ -211,7 +209,7 @@ then
do
if ! in_array "$file" "${files[@]}"
then
- echo "File $file is not being modified."
+ echo $"File $file is not being modified."
fi
done
fi
@@ -228,17 +226,17 @@ then
if ! cd .pc/$last_patch
then
- echo "Cannot change into .pc/$last_patch"
+ echo $"Cannot change into .pc/$last_patch"
die 1
fi
if ! cp -l --parents "${files[@]}" $workdir/
then
- echo "Failed to copy files to temporary directory"
+ echo $"Failed to copy files to temporary directory"
die 1
fi
if ! cd $workdir
then
- echo "Cannot change to temporary directory"
+ echo $"Cannot change to temporary directory"
die 1
fi
@@ -255,14 +253,14 @@ then
if ! [ -e $pwd/$pc_file~refresh ]
then
- echo "Failed to patch temporary files"
+ echo $"Failed to patch temporary files"
die 1
fi
fi
fi
if ! cd $pwd
then
- echo "Cannot change to source directory"
+ echo $"Cannot change to source directory"
die 1
fi
fi
@@ -297,14 +295,14 @@ do
if [ $? -ne 0 ]
then
- echo "Diff failed, aborting." >&2
+ echo $"Diff failed, aborting." >&2
die 1
fi
done
if [ -n "$files_were_shadowed" ]
then
- echo "More recent patches modify the same files."
+ echo $"More recent patches modify the same files."
die 1
fi
die 0
diff --git a/quilt/files.in b/quilt/files.in
index 9efaac3..6d57efa 100644
--- a/quilt/files.in
+++ b/quilt/files.in
@@ -19,17 +19,17 @@ fi
usage()
{
- echo "Usage: quilt files [-v] [patch]"
+ echo $"Usage: quilt files [-v] [patch]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Print the list of files that the topmost or specified patch
changes.
-v Verbose, more user friendly output.
-EOF
+"
exit 0
else
exit 1
@@ -72,7 +72,7 @@ else
patch=$(top_patch)
if [ -z "$patch" ]
then
- echo "No patches applied" >&2
+ echo $"No patch applied" >&2
exit 1
fi
fi
@@ -81,10 +81,10 @@ if ! is_applied $patch
then
if [ -n "$opt_verbose" ]
then
- echo "Patch is not applied (no verbose output)" >&2
+ echo $"Patch is not applied (no verbose output)" >&2
opt_verbose=0
else
- echo "Patch is not applied" >&2
+ echo $"Patch is not applied" >&2
fi
fi
diff --git a/quilt/guidiff.in b/quilt/guidiff.in
index 776ade5..16301c0 100755
--- a/quilt/guidiff.in
+++ b/quilt/guidiff.in
@@ -19,14 +19,15 @@ fi
usage()
{
- echo "Usage: quilt guidiff"
+ echo $"Usage: quilt guidiff"
+ guidiffname="@GUIDIFF@"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
-Display in @GUIDIFF@ the changes to files in the topmost patch.
+Display in $guidiffname the changes to files in the topmost patch.
-EOF
+"
exit 0
else
exit 1
@@ -61,7 +62,7 @@ fi
patch=$(top_patch)
if [ -z "$patch" ]
then
- echo "No patches applied" >&2
+ echo $"No patch applied" >&2
exit 1
fi
@@ -75,11 +76,11 @@ then
then
@GUIDIFF@ $(backup_file_name $patch $file) $file
else
- echo "The file $file doesn't exist before this patch"
+ echo $"The file $file doesn't exist before this patch"
fi
done
else
- echo "No files in patch $patch"
+ echo $"No file in patch $patch"
fi
### Local Variables:
### mode: shell-script
diff --git a/quilt/import.in b/quilt/import.in
index 0526e42..f5acfd9 100644
--- a/quilt/import.in
+++ b/quilt/import.in
@@ -19,10 +19,10 @@ fi
usage()
{
- echo "Usage: quilt import [-f] [-p num] [-n patch] [patchfile]"
+ echo $"Usage: quilt import [-f] [-p num] [-n patch] [patchfile]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Import an external patch. If a patch file name is specified,
the patch will be stored in this relative path in the patches/
@@ -37,7 +37,7 @@ used as the patch name.
-f Overwite/update existing patches.
-EOF
+"
exit 0
else
exit 1
@@ -95,7 +95,7 @@ else
then
opt_patch="$patch.patch"
else
- echo "Please use -n to specify a patch file name."
+ echo $"Please use -n to specify a patch file name."
exit 1
fi
patch_file="${P}patches/$opt_patch"
@@ -103,13 +103,13 @@ fi
if echo "$patch_file" | grep -q -e $'[ \t]'
then
- echo "Patch file name \"$patch_file\" contains whitespace."
+ echo $"Patch file name \"$patch_file\" contains whitespace."
exit 1
fi
if is_applied $patch
then
- echo "Patch $patch is applied."
+ echo $"Patch $patch is applied."
exit 1
fi
@@ -118,7 +118,7 @@ case "$input_file" in
tmpfile=$(@MKTEMP@ /tmp/patch-scripts.XXXXXX)
if ! cat > $tmpfile
then
- echo "Cannot read from standard input."
+ echo $"Cannot read from standard input."
rm -f $tmpfile
exit 1
fi
@@ -127,7 +127,7 @@ case "$input_file" in
tmpfile=$(@MKTEMP@ /tmp/patch-scripts.XXXXXX)
if ! gzip -cd "$input_file" > $tmpfile
then
- echo "Cannot decompress file $input_file"
+ echo $"Cannot decompress file $input_file"
rm -f $tmpfile
exit 1
fi
@@ -136,7 +136,7 @@ case "$input_file" in
tmpfile=$(@MKTEMP@ /tmp/patch-scripts.XXXXXX)
if ! bzip2 -cd "$input_file" > $tmpfile
then
- echo "Cannot decompress file $input_file"
+ echo $"Cannot decompress file $input_file"
rm -f $tmpfile
exit
fi
@@ -144,7 +144,7 @@ case "$input_file" in
*)
if ! [ -r "$input_file" ]
then
- echo "Cannot read from file $input_file"
+ echo $"Cannot read from file $input_file"
exit 1
fi
esac
@@ -153,36 +153,36 @@ if [ -e "$patch_file" ]
then
if [ -z "$opt_force" ]
then
- echo "Patch $patch exists. Replace with -f."
+ echo $"Patch $patch exists. Replace with -f."
exit 1
fi
if grep -q '^%patch$' "$patch_file" &&
! grep -q '^%patch$' "$input_file"
then
- echo "Updating %patch section of patch $patch"
+ echo $"Updating %patch section of patch $patch"
if ! @SCRIPTS@/parse-patch -u patch $patch_file < "$input_file"
then
- echo "Failed to update %patch section of patch $patch"
+ echo $"Failed to update %patch section of patch $patch"
exit 1
fi
else
- echo "Replacing patch $patch with new version"
+ echo $"Replacing patch $patch with new version"
if ! cat "$input_file" > "$patch_file"
then
- echo "Failed to replace patch $patch"
+ echo $"Failed to replace patch $patch"
exit 1
fi
fi
else
- echo "Importing patch $patch (stored as $patch_file)"
+ echo $"Importing patch $patch (stored as $patch_file)"
if ! grep -q '^%patch$' "$input_file"
then
echo "%patch" >> "$patch_file"
fi
if ! cat "$input_file" >> "$patch_file"
then
- echo "Failed to import patch $patch"
+ echo $"Failed to import patch $patch"
exit 1
fi
fi
@@ -192,7 +192,7 @@ rm -rf .pc/$patch
if ! patch_in_series $patch &&
! insert_in_series $opt_patch "$patch_args"
then
- echo "Failed to insert $patch in file series."
+ echo $"Failed to insert $patch in file series."
fi
if [ -n "$tmpfile" ]
diff --git a/quilt/new.in b/quilt/new.in
index dacd492..38ad964 100644
--- a/quilt/new.in
+++ b/quilt/new.in
@@ -19,15 +19,15 @@ fi
usage()
{
- echo "Usage: quilt new {patchname}"
+ echo $"Usage: quilt new {patchname}"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Create a new patch with the specified file name, and insert
it after the topmost patch in the patch series file.
-EOF
+"
exit 0
else
exit 1
@@ -64,7 +64,7 @@ patch=$(stripit $patch_file)
if patch_in_series $patch
then
- echo "Patch $patch exists already"
+ echo $"Patch $patch exists already"
exit 1
fi
@@ -74,10 +74,10 @@ rm -f $(pc_file_name $patch)
if ! insert_in_series $patch_file || \
! add_to_db $patch
then
- echo "Failed to create patch $patch"
+ echo $"Failed to create patch $patch"
exit 1
else
- echo "Patch $patch is now on top"
+ echo $"Patch $patch is now on top"
fi
### Local Variables:
### mode: shell-script
diff --git a/quilt/next.in b/quilt/next.in
index 77a746b..a7e9d21 100644
--- a/quilt/next.in
+++ b/quilt/next.in
@@ -19,17 +19,17 @@ fi
usage()
{
- echo "Usage: quilt next [patch]"
+ echo $"Usage: quilt next [patch]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Print the name of the next patch after the specified or topmost patch in
the series file.
-n Print patch file names instead of patch names.
-EOF
+"
exit 0
else
exit 1
diff --git a/quilt/patches.in b/quilt/patches.in
index 51e055e..fd1b1fa 100644
--- a/quilt/patches.in
+++ b/quilt/patches.in
@@ -19,10 +19,10 @@ fi
usage()
{
- echo "Usage: quilt patches {file}"
+ echo $"Usage: quilt patches {file}"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Print the list of patches that modify the specified file.
@@ -30,7 +30,7 @@ Print the list of patches that modify the specified file.
-v Verbose, more user friendly output.
-EOF
+"
exit 0
else
exit 1
diff --git a/quilt/pop.in b/quilt/pop.in
index bc2c271..5619106 100644
--- a/quilt/pop.in
+++ b/quilt/pop.in
@@ -19,10 +19,10 @@ fi
usage()
{
- echo "Usage: quilt pop [-afRqv] [num|patch]"
+ echo $"Usage: quilt pop [-afRqv] [num|patch]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Remove patch(es) from the current stack. A number of
patches to remove, or a patch name can be specified. If a
@@ -42,7 +42,7 @@ name is specified, remove the next patch from the series file.
-v Verbose operation.
-EOF
+"
exit 0
else
exit 1
@@ -81,7 +81,7 @@ list_patches()
done
if [ -n "$stop_at_patch" -a "$patch" != "$stop_at_patch" ]
then
- echo "Patch $stop_at_patch not found in file series" >&2
+ echo $"Patch $stop_at_patch not found in file series" >&2
return 1
fi
fi
@@ -154,7 +154,7 @@ if [ -n "$stop_at_patch" ]
then
if ! is_applied $stop_at_patch
then
- echo "Patch $stop_at_patch is not applied."
+ echo $"Patch $stop_at_patch is not applied."
exit 1
fi
fi
@@ -164,7 +164,7 @@ then
exit 1
elif [ -z "$patches" ]
then
- echo "No patches removed"
+ echo $"No patch removed"
exit 0
fi
@@ -178,7 +178,7 @@ do
fi
if [ -n "$interrupted" ]
then
- echo "Interrupted by user"
+ echo $"Interrupted by user"
exit 1
fi
[ -z "$opt_quiet" ] && echo
diff --git a/quilt/previous.in b/quilt/previous.in
index 4768220..96d7ca4 100644
--- a/quilt/previous.in
+++ b/quilt/previous.in
@@ -19,17 +19,17 @@ fi
usage()
{
- echo "Usage: quilt previous [patch]"
+ echo $"Usage: quilt previous [patch]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Print the name of the previous patch before the specified or topmost
patch in the series file.
-n Print patch file names instead of patch names.
-EOF
+"
exit 0
else
exit 1
diff --git a/quilt/push.in b/quilt/push.in
index 7665f3a..921934d 100644
--- a/quilt/push.in
+++ b/quilt/push.in
@@ -19,10 +19,10 @@ fi
usage()
{
- echo "Usage: quilt push [-afqv] [--leave-rejects] [num|patch]"
+ echo $"Usage: quilt push [-afqv] [--leave-rejects] [num|patch]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Apply patch(es) from the series file. A number of patches
to apply, or a patch name can be specified. If a patch
@@ -42,7 +42,7 @@ specified, apply the next patch from the series file.
Leave around the reject files patch produced, even if
the patch is not actually applied.
-EOF
+"
exit 0
else
exit 1
@@ -80,7 +80,7 @@ list_patches()
done
if [ -n "$stop_at_patch" -a "$patch" != "$stop_at_patch" ]
then
- echo "Patch $stop_at_patch not found in file series" >&2
+ echo $"Patch $stop_at_patch not found in file series" >&2
return 1
fi
fi
@@ -151,7 +151,7 @@ if [ -n "$stop_at_patch" ]
then
if is_applied $stop_at_patch
then
- echo "Patch $stop_at_patch is already applied."
+ echo $"Patch $stop_at_patch is already applied."
exit 1
fi
fi
@@ -164,9 +164,9 @@ then
top=$(top_patch)
if [ -z "$top" ]
then
- echo "No patches applied"
+ echo $"No patch applied"
else
- echo "File series fully applied, ends at patch $top"
+ echo $"File series fully applied, ends at patch $top"
fi
exit 0
fi
@@ -181,7 +181,7 @@ do
fi
if [ -n "$interrupted" ]
then
- echo "Interrupted by user"
+ echo $"Interrupted by user"
exit 1
fi
[ -z "$opt_quiet" ] && echo
diff --git a/quilt/refresh.in b/quilt/refresh.in
index fc197c6..a0119e0 100644
--- a/quilt/refresh.in
+++ b/quilt/refresh.in
@@ -24,11 +24,11 @@ usage()
then
redirect='>&2'
fi
- echo "Usage: quilt refresh [-p n] [-f] [patch]" $redirect
+ echo $"Usage: quilt refresh [-p n] [-f] [patch]" $redirect
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Refresh an applied patch. Refreshes the specified patch, or
the topmost patch by default. Documentation on top of the
@@ -49,7 +49,7 @@ specified patch.
-f Force refresh, even if more recent patches modify
some of the same files.
-EOF
+"
exit 0
else
exit 1
@@ -105,14 +105,14 @@ else
patch=$(top_patch)
if [ -z "$patch" ]
then
- echo "No patches seem to be applied" >&2
+ echo $"No patch seem to be applied" >&2
exit 1
fi
fi
if ! is_applied "$patch"
then
- echo "Patch $patch is not applied" >&2
+ echo $"Patch $patch is not applied" >&2
exit 1
fi
@@ -122,8 +122,7 @@ then
fi
if [ $opt_strip_level -gt 1 ]
then
- echo "Cannot refresh patches with -p$opt_strip_level," \
- "please specify -p0 or -p1 instead" >&2
+ echo $"Cannot refresh patches with -p$opt_strip_level, please specify -p0 or -p1 instead" >&2
exit 1
fi
@@ -144,21 +143,20 @@ do
fi
if ! diff_file $file "~${patch//\//_}" $old_file $new_file >> $tmpfile
then
- echo "Diff failed, aborting." >&2
+ echo $"Diff failed, aborting." >&2
die 1
fi
if [ -n "$files_were_shadowed" -a -z "$opt_force" ]
then
- echo "More recent patches modify the same files." \
- "Enforce refresh with -f." >&2
+ echo $"More recent patches modify the same files. Enforce refresh with -f." >&2
die 1
fi
done
if ! [ -s $tmpfile ]
then
- echo "Nothing in patch $patch" >&2
+ echo $"Nothing in patch $patch" >&2
die 1
fi
@@ -198,7 +196,7 @@ then
fi
rm -f $(pc_file_name $patch)~refresh
-echo "Refreshed patch $patch"
+echo $"Refreshed patch $patch"
if ! change_db_strip_level -p$opt_strip_level $patch
then
die 1
diff --git a/quilt/remove.in b/quilt/remove.in
index 20e6bf2..cf7e412 100644
--- a/quilt/remove.in
+++ b/quilt/remove.in
@@ -19,19 +19,19 @@ fi
usage()
{
- echo "Usage: quilt remove [-p patch] {file} ..."
+ echo $"Usage: quilt remove [-p patch] {file} ..."
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Remove one or more files from the topmost or named patch.
Files that are modified by patches on top of the specified
patch cannot be removed.
-p patch
- Patch to add files to.
+ Patch to remove files from.
-EOF
+"
exit 0
else
exit 1
@@ -73,12 +73,12 @@ then
fi
if [ -z "$patch" ]
then
- echo "No patches applied"
+ echo $"No patch applied"
fi
if ! is_applied $patch
then
- echo "Patch $patch is not applied"
+ echo $"Patch $patch is not applied"
exit 1
fi
@@ -87,7 +87,7 @@ for file in $*
do
if ! file_in_patch $file $patch
then
- echo "File $file is not in patch $patch"
+ echo $"File $file is not in patch $patch"
status=1
continue
fi
@@ -95,7 +95,7 @@ do
next_patch=$(next_patch_for_file $patch $file)
if [ -n "$next_patch" ]
then
- echo "File $file modified by patch $next_patch"
+ echo $"File $file modified by patch $next_patch"
status=1
continue
fi
@@ -103,7 +103,7 @@ do
# Restore file from backup
if ! @LIB@/backup-files -s -B .pc/$patch/ -r $file
then
- echo "Failed to remove file $file from patch $patch"
+ echo $"Failed to remove file $file from patch $patch"
status=1
continue
fi
@@ -114,7 +114,7 @@ do
mv -f $tmpfile $pc_file
rm -f $tmpfile
- echo "File $file removed from patch $patch"
+ echo $"File $file removed from patch $patch"
done
exit $status
### Local Variables:
diff --git a/quilt/series.in b/quilt/series.in
index bbc0ea1..bd26c82 100644
--- a/quilt/series.in
+++ b/quilt/series.in
@@ -19,10 +19,10 @@ fi
usage()
{
- echo "Usage: quilt series [-v]"
+ echo $"Usage: quilt series [-v]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Print the names of all patches in the series file.
@@ -30,7 +30,7 @@ Print the names of all patches in the series file.
-v Verbose, more user friendly output.
-EOF
+"
exit 0
else
exit 1
diff --git a/quilt/setup.in b/quilt/setup.in
index 900cc08..1f90946 100644
--- a/quilt/setup.in
+++ b/quilt/setup.in
@@ -19,16 +19,16 @@ fi
usage()
{
- echo "Usage: quilt setup [-d sourcedir] {seriesfile|specfile}"
+ echo $"Usage: quilt setup [-d sourcedir] {seriesfile|specfile}"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Initializes a source tree from a patch series file. The
patch series file must contain the name of the relevant
tar archive, in addition to the list of patches.
-EOF
+"
exit 0
else
exit 1
@@ -97,7 +97,7 @@ case "$1" in
series_file=$1
if ! [ -e "$series_file" ]
then
- echo "Series file $series_file not found"
+ echo $"Series file $series_file not found"
exit 1
fi
;;
@@ -122,10 +122,10 @@ do
SOURCEDIR)
# Directory for package sources
source="$arg"
- echo "Reading sources from $arg"
+ echo $"Reading sources from $arg"
;;
SOURCE)
- echo "Unpacking archive $source/$arg"
+ echo $"Unpacking archive $source/$arg"
mkdir -p "$arg2" && \
cat_file "$source/$arg" \
| tar xf - -C "${arg2:-.}"
@@ -135,23 +135,23 @@ do
packagedir="$arg"
if [ -d "$packagedir" ]
then
- echo "Directory $packagedir exists already."
+ echo $"Directory $packagedir exists already."
status=1
break
elif [ -e "$packagedir" ]
then
- echo "File $packagedir exists."
+ echo $"File $packagedir exists."
status=1
break
fi
;;
PATCH)
- echo "Copying patch $source/$arg"
+ echo $"Copying patch $source/$arg"
mkdir -p "$packagedir/patches/" && \
cp "$source/$arg" "$packagedir/patches/" \
;;
SERIES)
- echo "Copying series file"
+ echo $"Copying series file"
cp "$arg" "$packagedir/patches/series"
;;
*)
@@ -175,7 +175,7 @@ fi
if [ "$packagedir" != "." ]
then
- echo "Directory $packagedir set up."
+ echo $"Directory $packagedir set up."
fi
### Local Variables:
### mode: shell-script
diff --git a/quilt/top.in b/quilt/top.in
index f87e1ff..904ea0e 100644
--- a/quilt/top.in
+++ b/quilt/top.in
@@ -19,15 +19,15 @@ fi
usage()
{
- echo "Usage: quilt top"
+ echo $"Usage: quilt top"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Print the name of the topmost patch on the current stack of applied
patches.
-EOF
+"
exit 0
else
exit 1
diff --git a/quilt/unapplied.in b/quilt/unapplied.in
index 0f091a3..854ff40 100644
--- a/quilt/unapplied.in
+++ b/quilt/unapplied.in
@@ -19,17 +19,17 @@ fi
usage()
{
- echo "Usage: quilt unapplied [patch]"
+ echo $"Usage: quilt unapplied [patch]"
if [ x$1 = x-h ]
then
- cat <<EOF
+ echo $"
Print a list of patches that are not applied, or all patches that follow
the specified patch in the series file.
-n Print patch file names instead of patch names.
-EOF
+"
exit 0
else
exit 1
diff --git a/scripts/apatch.in b/scripts/apatch.in
index 3292e82..e9ea659 100755
--- a/scripts/apatch.in
+++ b/scripts/apatch.in
@@ -19,7 +19,7 @@ fi
usage()
{
- echo "Usage: $0 [-fqv] patchname"
+ echo $"Usage: $0 [-fqv] patchname"
exit 1
}
@@ -37,7 +37,7 @@ rollback_patch()
interrupt()
{
rollback_patch $1
- echo "Interrupted by user; patch $patch was not applied."
+ echo $"Interrupted by user; patch $patch was not applied."
exit 1
}
@@ -48,7 +48,7 @@ apply_patch()
if ! [ -s $patch_file ]
then
- echo "Patch file $patch_file appears to be empty"
+ echo $"Patch file $patch_file appears to be empty"
return 0
fi
@@ -77,14 +77,14 @@ apatch()
trap "" SIGINT
if ! refresh_file_list $patch
then
- echo "refresh_file_list failed"
+ echo $"refresh_file_list failed"
return 1
fi
- echo "Applying $patch"
+ echo $"Applying $patch"
if ! [ -e $pc_file ]
then
- echo "Patch $patch appears to be empty, applied"
+ echo $"Patch $patch appears to be empty, applied"
add_to_db $patch
return 0
fi
@@ -92,7 +92,7 @@ apatch()
status=$?
if [ $status -eq 2 ]
then
- [ -z "$opt_quiet" ] && echo "Recreated file list for $patch"
+ [ -z "$opt_quiet" ] && echo $"Recreated file list for $patch"
elif [ $status -ne 0 ]
then
return 1
@@ -123,11 +123,11 @@ apatch()
rm -f $pc_file~refresh
else
touch $pc_file~refresh
- echo "Applied $patch (forced; needs refresh)"
+ echo $"Applied $patch (forced; needs refresh)"
fi
else
rollback_patch $patch
- echo "Patch $patch does not apply (enforce with -f)"
+ echo $"Patch $patch does not apply (enforce with -f)"
fi
trap - SIGINT
return $status
@@ -178,7 +178,7 @@ patch=$(stripit $1)
top=$(top_patch)
if [ -n "$top" -a -e $(pc_file_name $top)~refresh ]
then
- echo "The topmost patch $top needs to be refreshed first."
+ echo $"The topmost patch $top needs to be refreshed first."
exit 1
fi
diff --git a/scripts/patchfns.in b/scripts/patchfns.in
index 91e3db9..b155903 100644
--- a/scripts/patchfns.in
+++ b/scripts/patchfns.in
@@ -7,6 +7,15 @@
#
# See the COPYING and AUTHORS files for more details.
+# Compat tests
+if [ "$BASH_VERSION" \< "2.04" ] ; then
+ echo "$0: Needs Bash >= 2.04" >&2
+ exit 1
+fi
+
+export TEXTDOMAIN=quilt
+
+
if [ -n "$PATCHSCRIPTS" ]
then
P=$PATCHSCRIPTS/
diff --git a/scripts/rpatch.in b/scripts/rpatch.in
index afdf230..91d01a5 100755
--- a/scripts/rpatch.in
+++ b/scripts/rpatch.in
@@ -19,7 +19,7 @@ fi
usage()
{
- echo "Usage: $0 [-fRq] patchname"
+ echo $"Usage: $0 [-fRq] patchname"
exit 1
}
@@ -41,7 +41,7 @@ verify_removal()
if [ $status -eq 0 ]
then
- echo "Patch does not remove changes:"
+ echo $"Patch does not remove changes:"
fi
@DIFF@ -Nu $DIFF_OPTS $bup $file \
@@ -99,7 +99,7 @@ interrupt()
{
local patch=$1
rollback_patch $patch
- echo "Interrupted by user; patch $patch was not removed."
+ echo $"Interrupted by user; patch $patch was not removed."
exit 1
}
@@ -110,7 +110,7 @@ reverse_patch()
if ! [ -s $patch_file ]
then
- echo "Patch file $patch_file appears to be empty"
+ echo $"Patch file $patch_file appears to be empty"
return 0
fi
@@ -136,7 +136,7 @@ rpatch()
if ! [ -e $pc_file ]
then
- echo "Patch $patch appears to be empty, removed"
+ echo $"Patch $patch appears to be empty, removed"
remove_from_db $patch
return 0
fi
@@ -161,7 +161,7 @@ rpatch()
if ! @LIB@/backup-files $silent_unless_verbose \
-f $pc_file -z ~rpatch
then
- echo "Failed to create temporary files" >&2
+ echo $"Failed to create temporary files" >&2
return 1
fi
@@ -182,7 +182,7 @@ rpatch()
remove_from_db $patch
else
rollback_patch $patch
- echo "Patch $patch does not remove (enforce with -f)"
+ echo $"Patch $patch does not remove (enforce with -f)"
return 1
fi
fi
@@ -191,11 +191,11 @@ rpatch()
local top=$(top_patch) where
if [ -z "$top" ]
then
- where="no patches applied"
+ where=$"no patch applied"
else
- where="now at $top"
+ where=$"now at $top"
fi
- echo "Removed $patch, $where"
+ echo $"Removed $patch, $where"
}
options=`getopt -o fRqvh -- "$@"`
@@ -243,7 +243,7 @@ patch=$(stripit $1)
top=$(top_patch)
if [ -n "$top" -a -e $(pc_file_name $top)~refresh -a -z "$opt_force" ]
then
- echo "The topmost patch $top needs to be refreshed first."
+ echo $"The topmost patch $top needs to be refreshed first."
exit 1
fi
diff --git a/scripts/spec2series.in b/scripts/spec2series.in
index 63aa50b..f43a3fb 100755
--- a/scripts/spec2series.in
+++ b/scripts/spec2series.in
@@ -97,7 +97,7 @@ echo -n "### md5: " >&2
set -- `md5sum < $file`
echo "$1 cat ${file}"
done) > $WORK/md5sum
-echo " done" >&2
+echo $" done" >&2
# prepare rpm dir fixups and hooks
RPM="rpm --rcfile=/usr/lib/rpm/rpmrc:$WORK/rpmrc"
@@ -189,7 +189,7 @@ ln -s patch "$WORK/bin/tar"
echo -n "### rpm: " >&2
touch $WORK/patchlog
$RPM --nodeps --quiet -bp "$specdir/$specfile" </dev/null
-echo " done" >&2
+echo $" done" >&2
# print results saved by the wrapper script
(